[Unit]
Description=%i
After=docker.service
Requires=docker.service
 
[Service]
ExecStartPre=/usr/bin/docker pull {{ _game_docker_image}}:{{ _game_docker_tag }}
ExecStartPre=-/usr/bin/docker rm %n --force
ExecStart=docker run --rm --publish {{ _haproxy_target_port }}:{{ _game_docker_container_port}} --name %n {{ _game_docker_image }}:{{ _game_docker_tag }}
ExecStop=-/usr/bin/docker rm %n --force
 
[Install]
WantedBy=multi-user.target